# This is the main configuration file for Mohist.
# 
# Home: https://mohistmc.com/


entity-tick-limit: 300
hidejoinmodslist: true
world:
  directory_in_client: true
  stopserversaveworlds: false
  disableforgegenerate:
    global:
      enable: false
      worlds:
      - worldname
    list:
      worldgen-aaaaaaaa: false
      worldgen-bbbbbbbb: false
  dimensionsNotLoaded: []
forge:
  autounloadworld:
    enable: false
    whitelist:
    - 0
    - 1
    - -1
  modswhitelist:
    kickmessage: Use of unauthorized mods
    list: minecraft@1.12.2,mcp@9.42,FML@8.0.99.99
    mods_number: 0
    enable: false
  modsblacklist:
    kickmessage: Use of unauthorized mods
    list: aaaa@version,bbbb@version
    enable: false
  disablechunkforcesystem: false
mohist:
  use_custom_java8: false
  disable_config_update: false
  check_update: false
  downloadfile_command_enabled: false
  server-type: FML
  BukkitPermissionsHandler: true
  connectionTimeout: 15000
  lang: ru_RU
  libraries_downloadsource: MOHIST
  console_name: Server
  watchdog_spigot: true
  forge_can_call_bukkit: false
  fail-on-unresolved-gameprofile: true
  CloseChatInConsole: false
  showlogo: true
  check_libraries: true
  support_nocmd: false
  watchdog_mohist: false
  disable_mods_blacklist: true
  disable_plugins_blacklist: true
  networkmanager:
    debug: false
    intercept: []
  check_update_auto_download: false
  realtimeticking: false
eventCanceled:
  explosion: false
  keepLevel: false
  keepInventory: false
consolecolor:
  info-time: b
  trace-level: c
  fatal-time: c
  info-msg: r
  error-level: c
  error-msg: c
  info-level: '2'
  warn-time: e
  fatal-msg: c
  error-time: c
  trace-time: c
  fatal-level: c
  warn-msg: e
  warn-level: e
  trace-msg: c
libraries_black_list: aaaaa;bbbbbb
allowBlockLoadChunk: true
messages:
  Outdate-Client: Outdated client! Please use {0}
  use-unknow-command: Unknown command. Type "/help" for help.
  Rejections-Hack: Hack rejections %s
  Requirements-Mod-Version: version %s
  Requirements-Mod-Invalid-version: Requires %s but client has %s.
  Rejections-Server-Mods: "Server Mod rejections: \n%s"
  Outdate-Server: Outdated server! I'm still on {0}
  Requirements-Mod-Version-range: version range %s
  Requirements-Mod-Not-found: Requires %s but mod is not found on client.
forceUnloadChunks: false
keep-spawn-loaded: true
settings:
  min-chunk-load-threads: 2
skip-entity-activation-range: false
disable-announce-Advancements: false
fake-players:
  do-login: false
config-version: 3
CloseChatInConsole: false
